/*ScianStdRGBDraw.h
  Eric Pepke
  June 16, 1991

  Standard RGB mode picture drawing traversal.  It's an include file to 
  limit the amount of typing I have to do.  I would have made it a macro,
  but it has #defines
*/

	switch (curLightShading)
	{
	    case NOLIGHT:
		switch (curColorShading)
		{
		    case NOCOLOR:
#define P PRNN
#define V VRNN
			TRAVERSE;
#undef P
#undef V
			break;
		    case MONOCOLOR:
#define P PRNM
#define V VRNM
			TRAVERSE;
#undef P
#undef V
			break;
		    case SMOOTHCOLOR:
#define P PRNS
#define V VRNS
			TRAVERSE;
#undef P
#undef V
			break;
		}
		break;
	    case MONOLIGHT:
		switch (curColorShading)
		{
		    case NOCOLOR:
#define P PRMN
#define V VRMN
			TRAVERSE;
#undef P
#undef V
			break;
		    case MONOCOLOR:
#define P PRMM
#define V VRMM
			TRAVERSE;
#undef P
#undef V
			break;
		    case SMOOTHCOLOR:
#define P PRMS
#define V VRMS
			TRAVERSE;
#undef P
#undef V
			break;
		}
		break;
	    case SMOOTHLIGHT:
		switch (curColorShading)
		{
		    case NOCOLOR:
#define P PRSN
#define V VRSN
			TRAVERSE;
#undef P
#undef V
			break;
		    case MONOCOLOR:
#define P PRSM
#define V VRSM
			TRAVERSE;
#undef P
#undef V
			break;
		    case SMOOTHCOLOR:
#define P PRSS
#define V VRSS
			TRAVERSE;
#undef P
#undef V
			break;
		}
		break;
	    case DEPTHCUELIGHT:
		switch (curColorShading)
		{
		    case NOCOLOR:
#define P PRDN
#define V VRDN
			TRAVERSE;
#undef P
#undef V
			break;
		    case MONOCOLOR:
#define P PRDM
#define V VRDM
			TRAVERSE;
#undef P
#undef V
			break;
		    case SMOOTHCOLOR:
#define P PRDS
#define V VRDS
			TRAVERSE;
#undef P
#undef V
			break;
		}
		break;
	}
